Going to replace all the FLAGS with cfg.CONF

Bug #1182037 reported by Vincent Hou on 2013-05-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Wishlist
Sergey Vilgelm

Bug Description

Many parts of cinder code are using FLAGS still. I suggest we replace them with the cfg.CONF.

Some issues may retain if we do not do the replacement. For example, oslo is fixing a bug (https://bugs.launchpad.net/oslo/+bug/1176817). The parameter sql_connection will still take no effect for user-specified value, though (https://bugs.launchpad.net/oslo/+bug/1176817) is fixed.

Huang Zhiteng (zhiteng-huang) wrote :

Hi Vincent,

I don't see the connection between giving CLI option priority over config-file and cinder using FLAGS. Could you elaborate?

Changed in cinder:
status: New → Triaged
importance: Undecided → Wishlist
Changed in cinder:
status: Triaged → In Progress
assignee: nobody → Sergey Vilgelm (svilgelm)

Fix proposed to branch: master
Review: https://review.openstack.org/31475

Fix proposed to branch: master
Review: https://review.openstack.org/31487

Fix proposed to branch: master
Review: https://review.openstack.org/31500

Fix proposed to branch: master
Review: https://review.openstack.org/31516

Reviewed: https://review.openstack.org/31500
Committed: http://github.com/openstack/cinder/commit/a771e45a76161e639d18030ad3cb41fe3f30ba64
Submitter: Jenkins
Branch: master

commit a771e45a76161e639d18030ad3cb41fe3f30ba64
Author: Sergey Vilgelm <email address hidden>
Date: Mon Jun 3 17:36:42 2013 +0400

    Replace FLAGS with cfg.CONF in scheduler

    Replace all the FLAGS with cfg.CONF in cinder/scheduler
    Large commit "https://review.openstack.org/31172" was split into several parts
    Use the common pattern: CONF = cfg.CONF

    Change-Id: If293d36a9e1552f7af497edf947e82458488bf9c
    Fixes: bug #1182037

Changed in cinder:
status: In Progress → Fix Committed
Sergey Vilgelm (sergey.vilgelm) wrote :

Not all parts are ready

Changed in cinder:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/31475
Committed: http://github.com/openstack/cinder/commit/4b05a10331927498ac6e26f70f145d45b58cc0ae
Submitter: Jenkins
Branch: master

commit 4b05a10331927498ac6e26f70f145d45b58cc0ae
Author: Sergey Vilgelm <email address hidden>
Date: Mon Jun 3 13:12:32 2013 +0400

    Replace FLAGS with cfg.CONF in db

    Replace all the FLAGS with cfg.CONF in cinder/db
    Large commit "https://review.openstack.org/31172" was split into several parts
    Use the common pattern: CONF = cfg.CONF

    Change-Id: Ibac0a4b233ba82e13e3a9bfb6bd3fd418cdab29f
    Fixes: bug #1182037

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/31487
Committed: http://github.com/openstack/cinder/commit/67f39bf1f25a547016cee5bf81fb9e29de52b7a9
Submitter: Jenkins
Branch: master

commit 67f39bf1f25a547016cee5bf81fb9e29de52b7a9
Author: Sergey Vilgelm <email address hidden>
Date: Mon Jun 10 12:52:13 2013 +0400

    Replace FLAGS with cfg.CONF in api

    Replace all the FLAGS with cfg.CONF in cinder/api
    Large commit was split into several parts

    Change-Id: I2114d5fc45f5299c3b2011270034a3370e0ec388
    Fixes: bug #1182037

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/31748
Committed: http://github.com/openstack/cinder/commit/3c6a0b9f8a6b0c3ce262afb166c63e7b0b3a4947
Submitter: Jenkins
Branch: master

commit 3c6a0b9f8a6b0c3ce262afb166c63e7b0b3a4947
Author: Sergey Vilgelm <email address hidden>
Date: Mon Jun 10 12:28:44 2013 +0400

    Replace FLAGS with cfg.CONF in tests

    Replace all the FLAGS with cfg.CONF in cinder/tests
    Large commit was split into several parts

    Change-Id: I20a188c20f440e4ba3f5167bd65346ec9fb6e90b
    Fixes: bug #1182037

Changed in cinder:
status: In Progress → Fix Committed
Changed in cinder:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/31516
Committed: http://github.com/openstack/cinder/commit/1fcbd01d640b6a0631db14635f971e078f45b0ce
Submitter: Jenkins
Branch: master

commit 1fcbd01d640b6a0631db14635f971e078f45b0ce
Author: Sergey Vilgelm <email address hidden>
Date: Thu Jun 13 11:25:37 2013 +0400

    Replace FLAGS with cfg.CONF in other modules, unless tests

    Replace all the FLAGS with cfg.CONF in cinder/
    Large commit was split into several parts

    Change-Id: Iacd645997a0c50aa47079c856e1b4e33e3001243
    Fixes: bug #1182037

Changed in cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/32537
Committed: http://github.com/openstack/cinder/commit/523b5298abd6ebedab536f67f610095aa5cd9bfc
Submitter: Jenkins
Branch: master

commit 523b5298abd6ebedab536f67f610095aa5cd9bfc
Author: Sergey Vilgelm <email address hidden>
Date: Thu Jun 13 13:06:25 2013 +0400

    Replace FLAGS with cfg.CONF in volume

    Replace all the FLAGS with cfg.CONF in cinder/volume
    Large commit was split into several parts

    Change-Id: I435fe91f414fda027531076bdbcb6660a3c635af
    Fixes: bug #1182037

Changed in cinder:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/33030
Committed: http://github.com/openstack/cinder/commit/45a1a564c05b04330a7a58110508bc824bebd50d
Submitter: Jenkins
Branch: master

commit 45a1a564c05b04330a7a58110508bc824bebd50d
Author: Sergey Vilgelm <email address hidden>
Date: Wed Jul 3 11:28:05 2013 +0400

    Rename cinder.flags to cinder.common.config

    Replace FLAGS with cfg.CONF
    Rename modules fake_flags to conf_fixture, test_flags to test_conf, declare_flags to declare_conf, runtime_flags to runtime_conf
    Renamed cinder.flags, because exactly the same was done in the glance and nova

    Fixes: bug #1182037
    Change-Id: I3424d0a401b3ef7a3254d3e913263554361a52ff

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in cinder:
milestone: none → havana-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers